Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?
FedoraForum.org - Fedora Support Forums and Community
Page 1 of 2 1 2 LastLast
Results 1 to 15 of 16
  1. #1
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    I thought I would see some posts already but maybe it is only an issue for my pc.

    The current AMD 14.10 release notes list support for up to 3.13 so I was expecting some trouble., the kernel modules fail to build.
    I easily reverted to the previous kernel and driver so no problems there.

    I guess I wait for AMD to give kernel 3.14 support or try a beta driver, no big deal.

    Of course if you have got this working please let me know, maybe I need to do some more checking then.
    Last edited by anika200; 2nd May 2014 at 08:53 PM.
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  2. #2
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    No such driver as 14.10!
    14.4 is the latest (f19 catalyst is patched for 3.14).

    http://www.forums.fedoraforum.org/sh...&postcount=117


    Last edited by leigh123linux; 2nd May 2014 at 10:15 PM.

  3. #3
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Quote Originally Posted by leigh123linux
    No such driver as 14.10!
    14.4 is the latest (f19 catalyst is patched for 3.14).
    Ha funny how they do that, they have a driver package name 14.10 and 2D driver version is 14.10 as reported by AMD catalyst software but the driver is actually called 14.4.

    You posted a build log??? I guess you got the regular non-beta driver from AMD website to compile and install?
    Are you on Fedora 20? Is that kernel 3.15? I am trying with kernel 3.14.

    I guess I gotta try again...
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  4. #4
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Catalyst 14.4 (internal version 14.10.1006)

    just install the f19 driver from rpmfusion

    Code:
    yum --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-uname-r == $(uname -r)"
    akmod will build it for you

    I'm currently running rawhide (F21) with the 3.15rc kernel.

  5. #5
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Quote Originally Posted by leigh123linux
    Catalyst 14.4 (internal version 14.10.1006)

    just install the f19 driver from rpmfusion

    Code:
    yum --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-uname-r == $(uname -r)"
    akmod will build it for you

    I'm currently running rawhide (F21) with the 3.15rc kernel.
    Whoahhh what, just install the version from Fedora 19 onto Fedora 20? Also, xorg-x11-*** does not equal AMD drivers unless there is some magic forming.
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  6. #6
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Quote Originally Posted by anika200
    Whoahhh what, just install the version from Fedora 19 onto Fedora 20? Also, xorg-x11-*** does not equal AMD drivers.

    It's the same driver, we didn't like the dumb name so changed it to something more meaningful

    http://cvs.rpmfusion.org/viewvc/rpms...ee&view=markup

    all video drivers have the xorg-x11-drv prefix

    Code:
    Installed Packages
    xorg-x11-drv-ati.x86_64               7.4.0-0.2.20140419git48d3dbc.fc21
                                                           @rawhide                 
    xorg-x11-drv-evdev.x86_64             2.8.99.1-2.fc21  @rawhide                 
    xorg-x11-drv-intel.x86_64             2.99.911-2.fc21  @rawhide                 
    xorg-x11-drv-mga.x86_64               1.6.2-14.fc21    @rawhide                 
    xorg-x11-drv-modesetting.x86_64       0.8.1-1.20140428git509dbe8.fc21
                                                           @rawhide                 
    xorg-x11-drv-nouveau.x86_64           1:1.0.10-3.fc21  @rawhide                 
    xorg-x11-drv-openchrome.x86_64        0.3.3-10.fc21    @rawhide                 
    xorg-x11-drv-qxl.x86_64               0.1.1-9.fc21     @rawhide                 
    xorg-x11-drv-synaptics.x86_64         1.7.99.1-8.20140318gitfd7099004.fc21
                                                           @rawhide                 
    xorg-x11-drv-vesa.x86_64              2.3.2-16.fc21    @rawhide                 
    xorg-x11-drv-vmmouse.x86_64           13.0.0-12.fc21   @rawhide                 
    xorg-x11-drv-vmware.x86_64            13.0.2-1.fc21    @rawhide                 
    xorg-x11-drv-wacom.x86_64             0.24.0-2.fc21    @rawhide                 
    xorg-x11-drv-wacom-devel.x86_64       0.24.0-2.fc21    @rawhide                 
    Available Packages
    xorg-x11-drv-apm.x86_64               1.2.5-15.fc21    rawhide                  
    xorg-x11-drv-cirrus.x86_64            1.5.2-7.fc21     rawhide                  
    xorg-x11-drv-dummy.x86_64             0.3.6-17.fc21    rawhide                  
    xorg-x11-drv-evdev-devel.i686         2.8.99.1-2.fc21  rawhide                  
    xorg-x11-drv-evdev-devel.x86_64       2.8.99.1-2.fc21  rawhide                  
    xorg-x11-drv-fbdev.x86_64             0.4.3-16.fc21    rawhide                  
    xorg-x11-drv-glint.x86_64             1.2.8-14.fc21    rawhide                  
    xorg-x11-drv-i128.x86_64              1.3.6-15.fc21    rawhide                  
    xorg-x11-drv-i740.x86_64              1.3.4-15.fc21    rawhide                  
    xorg-x11-drv-intel.i686               2.99.911-2.fc21  rawhide                  
    xorg-x11-drv-intel-devel.i686         2.99.911-2.fc21  rawhide                  
    xorg-x11-drv-intel-devel.x86_64       2.99.911-2.fc21  rawhide                  
    xorg-x11-drv-ivtv.x86_64              1.2.0-0.12.fc21  rawhide                  
    xorg-x11-drv-keyboard.x86_64          1.8.0-5.fc21     rawhide                  
    xorg-x11-drv-mach64.x86_64            6.9.4-13.fc21    rawhide                  
    xorg-x11-drv-mouse.x86_64             1.9.0-7.fc21     rawhide                  
    xorg-x11-drv-mouse-devel.i686         1.9.0-7.fc21     rawhide                  
    xorg-x11-drv-mouse-devel.x86_64       1.9.0-7.fc21     rawhide                  
    xorg-x11-drv-nvidia.x86_64            1:337.12-1.fc21  rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-173xx.x86_64      173.14.39-2.fc21 rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-173xx-devel.i686  173.14.39-2.fc21 rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-173xx-devel.x86_64
                                          173.14.39-2.fc21 rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-173xx-libs.i686   173.14.39-2.fc21 rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-173xx-libs.x86_64 173.14.39-2.fc21 rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-304xx.x86_64      304.121-1.fc21   rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-304xx-devel.i686  304.121-1.fc21   rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-304xx-devel.x86_64
                                          304.121-1.fc21   rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-304xx-libs.i686   304.121-1.fc21   rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-304xx-libs.x86_64 304.121-1.fc21   rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-devel.i686        1:337.12-1.fc21  rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-devel.x86_64      1:337.12-1.fc21  rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-libs.i686         1:337.12-1.fc21  rpmfusion-nonfree-rawhide
    xorg-x11-drv-nvidia-libs.x86_64       1:337.12-1.fc21  rpmfusion-nonfree-rawhide
    xorg-x11-drv-openchrome.i686          0.3.3-10.fc21    rawhide                  
    xorg-x11-drv-openchrome-devel.i686    0.3.3-10.fc21    rawhide                  
    xorg-x11-drv-openchrome-devel.x86_64  0.3.3-10.fc21    rawhide                  
    xorg-x11-drv-r128.x86_64              6.9.1-12.fc21    rawhide                  
    xorg-x11-drv-rendition.x86_64         4.2.5-15.fc21    rawhide                  
    xorg-x11-drv-s3virge.x86_64           1.10.6-15.fc21   rawhide                  
    xorg-x11-drv-savage.x86_64            2.3.7-4.fc21     rawhide                  
    xorg-x11-drv-siliconmotion.x86_64     1.7.7-14.fc21    rawhide                  
    xorg-x11-drv-sis.x86_64               0.10.7-16.fc21   rawhide                  
    xorg-x11-drv-sisusb.x86_64            0.9.6-15.fc21    rawhide                  
    xorg-x11-drv-synaptics-devel.i686     1.7.99.1-8.20140318gitfd7099004.fc21
                                                           rawhide                  
    xorg-x11-drv-synaptics-devel.x86_64   1.7.99.1-8.20140318gitfd7099004.fc21
                                                           rawhide                  
    xorg-x11-drv-tdfx.x86_64              1.4.5-14.fc21    rawhide                  
    xorg-x11-drv-trident.x86_64           1.3.6-15.fc21    rawhide                  
    xorg-x11-drv-v4l.x86_64               0.2.0-37.fc21    rawhide                  
    xorg-x11-drv-void.x86_64              1.4.0-25.fc21    rawhide                  
    xorg-x11-drv-voodoo.x86_64            1.2.5-15.fc21    rawhide                  
    xorg-x11-drv-wacom-devel.i686         0.24.0-2.fc21    rawhide
    as for using f19 packages on f20 it's fine (driver libs aren't compiled code and akmod compiles the kernel module).



    .

  7. #7
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Humf, interesting.
    Who pays for all that stuff?
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  8. #8
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Quote Originally Posted by anika200
    Humf, interesting.
    Who pays for all that stuff?
    rpmfusion infrastructure is donated and the packages are built by sponsored fedoraproject packagers (volunteers).

  9. #9
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Still need some help on this one.

    First, you need to uninstall the borked driver install from AMD.
    Code:
    [root@lee-asz77 ~]# /usr/share/ati/amd-uninstall.sh
    Then we get this error
    Code:
    [root@lee-asz77 ~]# yum --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-uname-r == $(uname -r)"
    Loaded plugins: fastestmirror, langpacks, refresh-packagekit
    Loading mirror speeds from cached hostfile
     * fedora: mirror.us.as6453.net
     * livna: rpm.livna.org
     * rpmfusion-free: mirror.us.leaseweb.net
     * rpmfusion-free-updates: mirror.us.leaseweb.net
     * rpmfusion-nonfree: mirror.us.leaseweb.net
     * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
     * rpmfusion-nonfree-updates-testing: mirror.us.leaseweb.net
     * updates: mirror.symnds.com
    No package kernel-devel-uname-r == 3.14.2-200.fc20.x86_64 available.
    then we run with -- skip-broken
    Code:
    [root@lee-asz77 ~]# yum --skip-broken --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-uname-r == $(uname -r)"
    And get the same error above (kinda expected) and some new errors at the end.
    Code:
    Packages skipped because of dependency problems:
        akmod-catalyst-14.4-1.fc19.x86_64 from rpmfusion-nonfree-updates-testing
        akmods-0.5.1-3.fc19.noarch from rpmfusion-free
        fakeroot-1.18.4-2.fc19.x86_64 from updates
        fakeroot-libs-1.18.4-2.fc19.x86_64 from updates
        kmodtool-1-23.fc19.noarch from rpmfusion-free-updates
        rpm-build-4.11.2-2.fc19.x86_64 from updates
        rpmdevtools-8.3-3.fc19.noarch from fedora
        xorg-x11-drv-catalyst-14.4-1.fc19.x86_64 from rpmfusion-nonfree-updates-testing
        xorg-x11-drv-catalyst-libs-14.4-1.fc19.i686 from rpmfusion-nonfree-updates-testing
        xorg-x11-drv-catalyst-libs-14.4-1.fc19.x86_64 from rpmfusion-nonfree-updates-testing
    Yum suggests I could try
    Code:
    rpm -Va --nofiles --nodigest
    but that looks a little reckless to me.
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  10. #10
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Ok try

    Code:
    yum --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-$(uname -r)"
    As you used the .run file also run to repair any damage


    Code:
    yum reinstall mesa-libGL xorg-x11-server-Xorg
    Last edited by leigh123linux; 3rd May 2014 at 12:43 PM.

  11. #11
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Thanks for the reply,

    That gets me past the kernel error but I still have some problems, I am just not familiar enough with Yum yet to decide what to do on my own (need to do some reading).

    Code:
    --> Finished Dependency Resolution
    Error: Package: rpm-build-4.11.2-2.fc19.x86_64 (updates)
               Requires: rpm = 4.11.2-2.fc19
               Installed: rpm-4.11.2-2.fc20.x86_64 (@updates/20)
                   rpm = 4.11.2-2.fc20
               Available: rpm-4.11.0.1-2.fc19.x86_64 (fedora)
                   rpm = 4.11.0.1-2.fc19
               Available: rpm-4.11.2-2.fc19.x86_64 (updates)
                   rpm = 4.11.2-2.fc19
    Error: Package: rpm-build-4.11.2-2.fc19.x86_64 (updates)
               Requires: liblua-5.1.so()(64bit)
               Available: lua-5.1.4-12.fc19.x86_64 (fedora)
                   liblua-5.1.so()(64bit)
               Installed: lua-5.2.2-5.fc20.x86_64 (@koji-override-0/$releasever)
                  ~liblua-5.2.so()(64bit)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    Is it ok to run the --skip-broken to get around these?
    Will I be pulling future updates (of all kinds) for my system from the "rpmfusion-nonfree-updates-testing"?
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  12. #12
    leigh123linux Guest

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    Ok install the deps first

    Code:
    yum install akmods kmodtool
    yum --releasever 19 --enablerepo rpmfusion-nonfree-updates-testing install xorg-x11-drv-catalyst-libs.i686 akmod-catalyst "kernel-devel-$(uname -r)"

  13. #13
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    I installed the dependency first and then import RPM-GPG-KEY-rpmfusion-nonfree-fedora-19 key from file so the driver would install.
    Reboot and not working, crash from xorg back to login.
    Code:
    51.825] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0
    [    51.851] (EE) 
    [    51.851] (EE) Backtrace:
    [    51.851] (EE) 0: /usr/bin/X (OsLookupColor+0x129) [0x473759]
    [    51.851] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x329b80f74f]
    [    51.861] (EE) 2: /lib64/libc.so.6 (____strtod_l_internal+0x74) [0x329b03e4b4]
    [    51.864] (EE) 3: /usr/lib64/xorg/modules/extensions/catalyst/libglx.so (GlxInitVisuals2D+0x24782) [0x7f2681353c22]
    [    51.865] (EE) 4: /usr/lib64/xorg/modules/extensions/catalyst/libglx.so (__glXSetTexBufferInfo+0x1fd7) [0x7f268130c027]
    [    51.865] (EE) 5: /usr/bin/X (SendErrorToClient+0x427) [0x43a3a7]
    [    51.865] (EE) 6: /usr/bin/X (_init+0x3b0a) [0x42c00a]
    [    51.865] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x329b021d65]
    [    51.866] (EE) 8: /usr/bin/X (_start+0x29) [0x428c35]
    [    51.866] (EE) 9: ? (?+0x29) [0x29]
    [    51.866] (EE) 
    [    51.866] (EE) Segmentation fault at address 0x0
    [    51.866] (EE) 
    Fatal server error:
    [    51.866] (EE) Caught signal 11 (Segmentation fault). Server aborting
    [    51.866] (EE) 
    [    51.866] (EE) 
    Please consult the Fedora Project support 
             at http://wiki.x.org
     for help. 
    [    51.866] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
    [    51.866] (EE) 
    [    51.867] (II) AIGLX: Suspending AIGLX clients for VT switch
    [    51.867] (II) fglrx(0): Backup framebuffer data.
    [    51.895] (II) fglrx(0): Backup complete.
    [    51.957] (EE) Server terminated with error (1). Closing log file.
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

  14. #14
    Join Date
    Feb 2009
    Posts
    82
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    i had the same errors that you did. So I installed the driver manually. The previous driver needs to be uninstalled for the following to work.
    Code:
    sh amd-driver-installer-14.10.1006-x86.x86_64.run --extract
    Apply Leigh's patch manually:
    Code:
    cd fglrx-install-xxxxx/common
    Code:
    patch -p0 <  patchfile
    At the top level:
    Code:
    ./ati-installer.sh 14.10 --install

  15. #15
    Join Date
    Jun 2009
    Location
    Maryland US
    Posts
    73
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Anyone else have AMD 14.10 drivers fail to build under kernel 3.14?

    I have no idea what happened but I seem to be running on the new kernel and the AMD driver.

    I did nothing at all to the system yesterday and today I accidently let it boot into the new kernel and everything is working.

    Maybe when leigh had me install "yum install akmods kmodtool" that is all it needed? I would think I would have noticed it building the modules or something, besides I could not even get it to build the last time I tried as above.??

    Anyway, I am a happy camper.

    Code:
    [lee@lee-asz77 ~]$ rpm -qa kernel | sort -V | tail -n 1 
    kernel-3.14.2-200.fc20.x86_64
    [lee@lee-asz77 ~]$ uname -rm
    3.14.2-200.fc20.x86_64 x86_64
    [lee@lee-asz77 ~]$ fglrxinfo
    display: :0  screen: 0
    OpenGL vendor string: Advanced Micro Devices, Inc.
    OpenGL renderer string: AMD Radeon HD 6670
    OpenGL version string: 4.4.12874 Compatibility Profile Context 14.10.1006
    Last edited by anika200; 6th May 2014 at 12:14 PM.
    Linux 3.13.10-200.fc20.x86_64
    Fedora 20
    AMD graphics

Page 1 of 2 1 2 LastLast

Similar Threads

  1. [SOLVED]
    Virtual Box Guest Additions fail to build kernel 3.5
    By chrismurphy in forum Using Fedora
    Replies: 5
    Last Post: 13th August 2012, 10:23 PM
  2. F8 - fail to load amd pata driver
    By satimis in forum Installation, Upgrades and Live Media
    Replies: 3
    Last Post: 25th January 2008, 10:47 AM
  3. Build kernel rpm fail
    By smetea in forum Using Fedora
    Replies: 5
    Last Post: 23rd May 2007, 03:37 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •